#
# spec file for package perl-Apache-LogFormat-Compiler
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Apache-LogFormat-Compiler
Version:        0.32
Release:        3.1
%define cpan_name Apache-LogFormat-Compiler
Summary:        Compile a log format string to perl-code
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Apache-LogFormat-Compiler/
Source:         http://www.cpan.org/authors/id/K/KA/KAZEBURO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Module::Build) >= 0.38
BuildRequires:  perl(POSIX::strftime::Compiler) >= 0.30
BuildRequires:  perl(Test::MockTime)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Try::Tiny) >= 0.12
BuildRequires:  perl(URI::Escape) >= 1.60
Requires:       perl(POSIX::strftime::Compiler) >= 0.30
%{perl_requires}
# MANUAL
BuildRequires:  timezone

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes cpanfile LICENSE minil.toml README.md

%changelog
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.32
  - change perl version requirements to 5.8.1
* Tue Mar 18 2014 coolo@suse.com
- buildrequire timezone for testsuite
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.30
  - add docs abount POSIX::strftime::Compiler
  - non trial release
  - [TRIAL] switch to using POSIX::strftime::Compiler
  - fixed POSIX::setlocale fails on system without locales (Android) #6 (Thank you dex4er)
  - skip tz test on Windows.
  - requires perl v5.8.4 (Thank you dex4er)
  - skip tz test on Cygwin.
  - Fixed test. Cygwin does not die tzset. But timezone does not been changed
  - Fixed test. POSIX::tzset not implemented on Windows (Thank you dex4er)
  - Check tzoffset for every line. It's need for daylight saving time.
  - Use POSIX::strftime::GNU if available (Thank you dex4er)
* Tue Jul  9 2013 coolo@suse.com
- initial package 0.13
  * created by cpanspec 1.78.06
